Document¶
Download A Document¶
HTTP Request
GET /api/v1/document/{documentId}/download
📋 Description: Streams the document binary to the client. The Content-Disposition and Content-Type headers are set based on the stored file metadata.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
documentId |
path |
integer(int64) |
true |
Document ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Document binary stream |
None |
|
404 |
Document not found |
None |
|
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "errorCode": "string",
3 "balances": [
4 {
5 "id": 0,
6 "displayId": "string",
7 "invoiceId": 0,
8 "invoiceDisplayId": "string",
9 "invoiceLineItemId": 0,
10 "invoiceLineItemDisplayId": "string",
11 "invoiceLineItemDescription": "string",
12 "expenseCategory": {
13 "id": 0,
14 "displayId": "string",
15 "name": "string"
16 },
17 "totalNetAmount": 0,
18 "totalTaxAmount": 0,
19 "reservedNetAmount": 0,
20 "reservedTaxAmount": 0,
21 "remainingTotalAmount": 0,
22 "remainingNetAmount": 0,
23 "remainingTaxAmount": 0,
24 "allowsSystemGenerateNewId": true,
25 "numberRangeIdentifierValue": "string",
26 "numberRangeIdentifierType": {
27 "name": "string"
28 },
29 "numberRangeType": {
30 "name": "string"
31 }
32 }
33 ]
34}
Response Schema
Delete A Document¶
HTTP Request
DELETE /api/v1/document/{documentId}
📋 Description: Permanently removes the document record and its stored binary. This action cannot be undone.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
documentId |
path |
integer(int64) |
true |
Document ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
Document deleted successfully |
None |
|
404 |
Document not found |
None |
|
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "errorCode": "string",
3 "balances": [
4 {
5 "id": 0,
6 "displayId": "string",
7 "invoiceId": 0,
8 "invoiceDisplayId": "string",
9 "invoiceLineItemId": 0,
10 "invoiceLineItemDisplayId": "string",
11 "invoiceLineItemDescription": "string",
12 "expenseCategory": {
13 "id": 0,
14 "displayId": "string",
15 "name": "string"
16 },
17 "totalNetAmount": 0,
18 "totalTaxAmount": 0,
19 "reservedNetAmount": 0,
20 "reservedTaxAmount": 0,
21 "remainingTotalAmount": 0,
22 "remainingNetAmount": 0,
23 "remainingTaxAmount": 0,
24 "allowsSystemGenerateNewId": true,
25 "numberRangeIdentifierValue": "string",
26 "numberRangeIdentifierType": {
27 "name": "string"
28 },
29 "numberRangeType": {
30 "name": "string"
31 }
32 }
33 ]
34}